Index: CMDI-Interoperability/CMD2RDF/trunk/data/general.ttl
===================================================================
--- CMDI-Interoperability/CMD2RDF/trunk/data/general.ttl	(revision 3816)
+++ CMDI-Interoperability/CMD2RDF/trunk/data/general.ttl	(revision 3817)
@@ -8,13 +8,12 @@
 #<http://www.clarin.eu/cmd/general.rdf> rdf:type rdfs:Ontology .
 
+:Resource rdf:type rdfs:Class .
 
 :Component rdf:type rdfs:Class .
 
-:Profile rdf:type rdfs:Class ;
-         rdfs:subClassOf :Component .
+:Profile rdfs:subClassOf :Component .
 # CHECK: is type rdfs:Class necessary, when rdfs:subClassOf :Component which is rdfs:Class ?
 
 :Element rdf:type rdfs:Class .
-
 
 :Attribute rdf:type rdfs:Class .
@@ -22,31 +21,52 @@
 
 :contains rdf:type rdf:Property ;
-           rdfs:domain :Component ;
-           rdfs:range :Component , :Element .
+    rdfs:domain :Component ;
+    rdfs:range :Component , :Element .
 
-:containsAttribute rdf:type rdf:Property;
-           rdfs:domain :Component , :Element ;
-           rdfs:range :Attribute .
+:containsAttribute rdf:type rdf:Property ;
+    rdfs:domain :Component , :Element ;
+    rdfs:range :Attribute .
 
-:Entity a rdfs:Class.
+:Entity a rdfs:Class .
 
-:hasElementValue rdf:type rdf:Property;
-              rdfs:domain :Element;
-              rdfs:domain rdfs:Literal.
+:hasElementValue rdf:type rdf:Property ;
+    rdfs:domain :Element ;
+    rdfs:domain rdfs:Literal .
 
 # add a parallel separate property for the resolved entities 
 :hasElementEntity rdf:type rdf:Property ;
-              rdfs:domain :Element ;
-              rdfs:range :Entity. 
+    rdfs:domain :Element ;
+    rdfs:range :Entity . 
 
 :hasAttributeValue rdf:type rdf:Property ;
-              rdfs:domain :Attribute ;
-              rdfs:range rdfs:Literal .
+    rdfs:domain :Attribute ;
+    rdfs:range rdfs:Literal .
 
 # And then consequently also for attribute 
 :hasAttributeEntity rdf:type rdf:Property ;
-              rdfs:domain :Attribute ;
-              rdfs:range :Entity .
+    rdfs:domain :Attribute ;
+    rdfs:range :Entity .
 
+# properties for resources
+:hasMimeType rdf:type rdf:Property ;
+    rdfs:domain :Resource ;
+    rdfs:range xsd:String.
+    
+:hasResourceType rdf:type rdf:Property ;
+    rdfs:domain :Resource ;
+    rdfs:range :ResourceType .
+ 
+:ResourceType rdf:type rdfs:Class .
+
+:Metadata rdf:type :ResourceType .
+:Resource rdf:type :ResourceType .
+:SearchService rdf:type :ResourceType .
+:SearchPage rdf:type :ResourceType .
+:LandingPage rdf:type :ResourceType .
+
+:describesResource rdf:type rdf:Property ;
+    rdfs:domain :Component ;
+    rdfs:range :Resource .
 
 #COMMENT Matej: I still yearn for something like cmdm:Resource and cmdm:MDRecord
+#COMMENT Menzo: Added cmdm:Resource
Index: CMDI-Interoperability/CMD2RDF/trunk/data/sample_organisation.ttl
===================================================================
--- CMDI-Interoperability/CMD2RDF/trunk/data/sample_organisation.ttl	(revision 3816)
+++ CMDI-Interoperability/CMD2RDF/trunk/data/sample_organisation.ttl	(revision 3817)
@@ -34,11 +34,11 @@
 # model: Person has an affiliation (cmd:Person/cmd:Organisation)  
 _:pers 
-        a cmd:Person;
+        rdf:type cmd:Person;
         cmdm:contains _:org.
         
 _:org
-        a cmd:Organisation;
+        rdf:type cmd:Organisation;
         cmd:hasOrganisationElementValue "MPI"^^xs:string;
         cmd:hasOrganisationElementEntity <http://mpi.nl>.
 
-<http://mpi.nl> a  cmd:OrganisationElementEnity.
+<http://mpi.nl> rdf:type cmd:OrganisationElementEntity.
Index: CMDI-Interoperability/CMD2RDF/trunk/xsl/CMDRecord2RDF.xsl
===================================================================
--- CMDI-Interoperability/CMD2RDF/trunk/xsl/CMDRecord2RDF.xsl	(revision 3816)
+++ CMDI-Interoperability/CMD2RDF/trunk/xsl/CMDRecord2RDF.xsl	(revision 3817)
@@ -5,4 +5,5 @@
     <!ENTITY xsd 'http://www.w3.org/2001/XMLSchema#'>
     <!ENTITY cmdm 'http://www.clarin.eu/cmd/general.rdf#'>
+    <!ENTITY oa 'http://www.w3.org/ns/oa#'>
 ]>
 <xsl:stylesheet
@@ -13,4 +14,7 @@
     xmlns:cmd="http://www.clarin.eu/cmd/"
     xmlns:cmdm="http://www.clarin.eu/cmd/general.rdf"
+    xmlns:ore="http://www.openarchives.org/ore/terms/"
+    xmlns:oa="http://www.w3.org/ns/oa#"
+    xmlns:dcterms="http://purl.org/dc/terms/"
 >
     
@@ -24,17 +28,56 @@
     
     <!-- let's create some RDF -->
-    <xsl:template match="/">
+    <xsl:template match="/cmd:CMD">
         <rdf:RDF xml:base="{replace($base,'([./])(xml|cmdi)$','$1rdf')}">
-            <xsl:apply-templates>
-                <xsl:with-param name="context" tunnel="yes" select="''"/>
-            </xsl:apply-templates>
+            <oa:Annotation rdf:about="#{generate-id()}">
+                <xsl:apply-templates select="cmd:Header"/>
+                <xsl:apply-templates select="cmd:Resources"/>
+                <oa:hasBody>
+                    <xsl:apply-templates select="cmd:Components">
+                        <xsl:with-param name="context" tunnel="yes" select="''"/>
+                    </xsl:apply-templates>
+                </oa:hasBody>
+                <oa:motivatedBy rdf:resource="&oa;describing"/>
+            </oa:Annotation>
         </rdf:RDF>
     </xsl:template>
     
-    <!-- TODO: do something with the header -->
-    <xsl:template match="/cmd:CMD/cmd:Header"/>
+    <xsl:template match="cmd:MdCreator">
+        <dcterms:creator>
+            <xsl:value-of select="."/>
+        </dcterms:creator>
+    </xsl:template>
 
-    <!-- TODO: do something with the resource proxies -->
-    <xsl:template match="/cmd:CMD/cmd:Resources"/>
+    <xsl:template match="cmd:MdCreationDate">
+        <dcterms:created>
+            <xsl:value-of select="."/>
+        </dcterms:created>
+    </xsl:template>
+    
+    <xsl:template match="cmd:MdSelfLink">
+        <dcterms:identifier>
+            <xsl:value-of select="."/>
+        </dcterms:identifier>
+    </xsl:template>
+    
+    <xsl:template match="cmd:MdProfile">
+        <!-- TODO? -->
+    </xsl:template>
+    
+    <xsl:template match="cmd:MdCollectionDisplayName">
+        <!-- TODO -->
+    </xsl:template>
+    
+    <xsl:template match="cmd:ResourceProxy">
+        <oa:hasTarget rdf:resource="{ResourceRef}"/>
+        <cmdm:Resource rdf:about="{ResourceRef}">
+            <cmdm:hasResourceType rdf:resource="&cmdm;{ResourceType}"/>
+            <xsl:if test="normalize-space(ResourceType/@mimetype)!=''">
+                <cmdm:hasMimeType>
+                    <xsl:value-of select="ResourceType/@mimetype"/>
+                </cmdm:hasMimeType>
+            </xsl:if>
+        </cmdm:Resource>
+    </xsl:template>
     
     <!-- the CMD body -->
@@ -91,5 +134,8 @@
                 <xsl:element name="{$id}" namespace="{$local-ns}">
                     <xsl:attribute name="rdf:about" select="concat('#',generate-id(.))"/>
-                    <!-- TODO: handle @ref -->
+                    <xsl:for-each select="tokenize(@ref,'\s+')">
+                        <xsl:variable name="res"/>
+                        <cmdm:describesResource rdf:resource="/cmd:CMD/cmd:Resources/cmd:ResourceProxyList/cmd:ResourceProxy[@id=$ref]/ResourceRef"/>
+                    </xsl:for-each>
                     <!-- switch back from the instance to the profile -->
                     <xsl:apply-templates select="$profile/*">
